using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            double[] A = new double[N];
            double[] P = new double[N];
            for (int i = 0; i < N; i++)
            {
                string[] str = Console.ReadLine().Split();
                A[i] = double.Parse(str[0]);
                P[i] = double.Parse(str[1]);
            }
            double aa = 0;
            double pp;
            double max=double.MinValue;
            for (int i = 0; i < N-1; i++)
            {
                for (int j = i; j < N; j++)
                {
                    if(P[i]>P[j])
                    {
                        double p = P[j];
                        P[j] = P[i];
                        P[i] = p;
                        double a = A[j];
                        A[j] = A[i];
                        A[i] = a;
                    }
                }
            }
            for (int i = 0; i < N; i++)
            {
                for (int j = i; j < N; j++)
                {
                    aa+= A[j];
                }
                pp = aa * (P[i] / 100);
                if(pp>max)
                {
                    max = pp;
                }
                aa = 0;
            }
            Console.WriteLine(Math.Round(max,4));
        }
    }
}